package com.zanxiang.game.data.serve.controller;

import com.zanxiang.erp.security.annotation.PreAuthorize;
import com.zanxiang.game.data.serve.pojo.dto.AdsAgentRechargeRankingListDTO;
import com.zanxiang.game.data.serve.pojo.vo.AdsAgentRechargeRankingVO;
import com.zanxiang.game.data.serve.service.IAdsAgentRechargeRankingService;
import com.zanxiang.game.data.serve.utils.Page;
import com.zanxiang.module.util.pojo.ResultVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@Api(tags = {"渠道充值排行榜"})
@RestController
@RequestMapping("/agentRechargeRanking")
public class AdsAgentRechargeRankingController {

    @Autowired
    private IAdsAgentRechargeRankingService adsAgentRechargeRankingService;

    @PreAuthorize(permissionKey = "gameData:agentRechargeRanking:list")
    @ApiOperation(value = "推广渠道充值排行榜")
    @ApiResponses(value = {@ApiResponse(code = 200, message = "成功", response = AdsAgentRechargeRankingVO.class)})
    @PostMapping("/list")
    public ResultVO<Page<AdsAgentRechargeRankingVO>> list(@Validated @RequestBody AdsAgentRechargeRankingListDTO dto) {
        return ResultVO.ok(adsAgentRechargeRankingService.listOfPage(dto));
    }
}
